### non-adaptive OCR without (explicit) language modeling

if [ $# -ne 1 ]; then
    echo "usage: $0 <image>"
    exit
fi

DIR=`dirname $0`

# segment the page into columns, lines, ...
$DIR/ocropus pageseg $1 page.psg.png

# extract all the lines in reading order
$DIR/ocropus extract-lines page.psg.png line-

# perform simple, non-adaptive OCR
for line in line-*.png; do
    $DIR/ocropus linerec $line
done
