// Copyright 2006 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
// or its licensors, as applicable.
// 
// You may not use this file except under the terms of the accompanying license.
// 
// Licensed under the Apache License, Version 2.0 (the "License"); you
// may not use this file except in compliance with the License. You may
// obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// Project: ocr-adaptive
// File: layout-rules.h
// Purpose: rule-based detection of paragraphs and headers
// Responsible: mezhirov
// Reviewer: 
// Primary Repository: 
// Web Sites: www.iupr.org, www.dfki.de


// Note: this file might become obsolete
// when we'll move the rule-based stuff into Javascript.

#ifndef h_rule_based_layout_
#define h_rule_based_layout_

#include "narray.h"
#include "coords.h"

namespace iupr {

/// Detect lines that start a paragraph.
void detect_paragraphs(narray<bool> &result, narray<rectangle> &line_boxes);

void detect_sections(narray<bool> &result, narray<rectangle> &line_boxes);

};

#endif
